## NAME

v.net.centrality - Computes degree, centrality, betweeness, closeness and eigenvector centrality measures in the network.

## KEYWORDS

vector, network, centrality measures

## SYNOPSIS

v.net.centrality
v.net.centrality help
v.net.centrality [-ga] input=name [layer=integer] output=name [cats=range] [where=sql_query] [afcolumn=name] [abcolumn=name] [degree=name] [closeness=name] [betweenness=name] [eigenvector=name] [iterations=integer] [error=float] [--overwrite] [--verbose] [--quiet]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations
-a
  Add points on nodes
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
output=name
  Name for output vector map
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
afcolumn=name
  Name of arc forward/both direction(s) cost column
abcolumn=name
  Name of arc backward direction cost column
degree=name
  Name of degree centrality column
closeness=name
  Name of closeness centrality column
betweenness=name
  Name of betweenness centrality column
eigenvector=name
  Name of eigenvector centrality column
iterations=integer
  Maximum number of iterations to compute eigenvector centrality
  Default: 1000
error=float
  Cummulative error tolerance for eigenvector centrality
  Default: 0.1

## DESCRIPTION

v.net.centrality computes degree, closeness, betweenness and eigenvector centrality measures.

## NOTES

The module computes various centrality measures for each node and stores them in the given columns of an attribute table, which is created and linked to the output map. For the description of these, please check the following wikipedia article. If the column name is not given for a measure then that measure is not computed. If -a flag is set then points are added on nodes without points. Also, the points for which the output is computed can be specified by cats, layer and where parameters. However, if any of these parameters is present then -a flag is ignored and no new points are added.
Betweenness measure is not normalised. In order to get the normalised values (between 0 and 1), each number needs to be divided by N choose 2=N*(N-1)/2 where N is the number of nodes in the connected component. Computation of eigenvector measure terminates if the given number of iterations is reached or the cummulative squared error between the successive iterations is less than error.

## EXAMPLES

Compute closeness and betweenness centrality measures for each node and produce a map containing not only points already present in the input map but a map with point on every node.

    v.net.centrality input=roads output=roads_cent closeness=closeness \
          betweenness=betweenness -a

## SEE ALSO

v.net, v.generalize

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

Last changed: $Date: 2013-05-23 22:01:55 +0200 (čt, 23 V 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team